Bug 28267 - RuntimeError: /usr/bin/passwd can not be run
RuntimeError: /usr/bin/passwd can not be run
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-19 00:41 EST by Matt Piotrowski
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-21 15:27:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Piotrowski 2001-02-19 00:41:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98)


The Red Hat installer asked that I report this:

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1632, in 
doInstall
    self.writeConfiguration ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1383, in 
writeConfiguration
    self.writeRootPassword ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 660, in 
writeRootPassword
    self.setPassword("root", pure)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1151, in 
setPassword
    stdin = p[0], stdout = devnull)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iutil.py", line 40, in 
execWithRedirect
    raise RuntimeError, command + " can not be run"
RuntimeError: /usr/bin/passwd can not be run

Local variables in innermost frame:
argv: ['/usr/bin/passwd', '--stdin', 'root']
root: /mnt/sysimage
stdin: 22
newPgrp: 0
stdout: 21
stderr: 2
command: /usr/bin/passwd
searchPath: 0
ignoreTermSigs: 0

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I2
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hdc'
sS'progressWindow'
p9

<failed>


Reproducible: Always
Steps to Reproduce:
1.1
2.
3.
	

I checked enable md5 passwords and shadow password.  Initially, I thought 
that my password was too long, but a shorter password did not fix the 
problem.  Pressing ctrl-alt f[1-5] during installation, I noticed that 
there is an error during package installation which says "attempt to write 
past end of device".  I'm pretty sure I have enough space, I picked about 
1gb to install, and I have 8gb of free space.  I told fdisk to make 2 
partitions, a 128 mb swap, and a 7900mb / .  I looked at all of the other 
Anaconda bugs and I looked on the Internet but didn't find a similar 
problem.  Feel free to email me to ask about any other configuration 
details.
Comment 1 Michael Fulbright 2001-02-21 15:27:49 EST
It could be there was a read error during the install of the passwd binary rpm.

If you can mount the CD on another linux machine, and run the command

rpm -K --nogpg <path to passwd binary RPM)

it will tell us.

Its possible your CD is bad.
Comment 2 Matt Piotrowski 2001-02-22 04:39:10 EST
This wasn't a bug; it was a problem with the cd; I verified this by running 
rpm -K --nogpg passwd....rpm as suggested by msf@redhat.com .  Linux reported 
that it could not read this file from the cd.  I tested other packages and it 
could read some of them.  Note:  this was an iso which I wrote to cd myself.  
Thanks for the help.

Note You need to log in before you can comment on or make changes to this bug.